"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault").default;
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.onFileAfterDeleteHook = void 0;
var _error = _interopRequireDefault(require("@webiny/error"));
const onFileAfterDeleteHook = ({
  fileManager,
  aco
}) => {
  /**
   * Intercept file deletion and delete the related search record.
   */
  fileManager.onFileAfterDelete.subscribe(async ({
    file
  }) => {
    try {
      await aco.search.delete(file.id);
    } catch (error) {
      if (error.code === "NOT_FOUND") {
        return;
      }
      throw _error.default.from(error, {
        message: "Error while executing onFileAfterDeleteHook hook",
        code: "ACO_AFTER_FILE_DELETE_HOOK"
      });
    }
  });
};
exports.onFileAfterDeleteHook = onFileAfterDeleteHook;