"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault").default;
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.onFileAfterUpdateHook = void 0;
var _error = _interopRequireDefault(require("@webiny/error"));
var _createRecordPayload = require("../../utils/createRecordPayload");
const onFileAfterUpdateHook = ({
  aco,
  fileManager
}) => {
  /**
   * Intercept file update event and update the related search record.
   */
  fileManager.onFileAfterUpdate.subscribe(async ({
    file
  }) => {
    try {
      const payload = await (0, _createRecordPayload.updatePageRecordPayload)(file);
      await aco.search.update(file.id, payload);
    } catch (error) {
      throw _error.default.from(error, {
        message: "Error while executing onFileAfterUpdateHook hook",
        code: "ACO_AFTER_FILE_UPDATE_HOOK"
      });
    }
  });
};
exports.onFileAfterUpdateHook = onFileAfterUpdateHook;