"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.updatePageRecordPayload = exports.createFileRecordPayload = exports.addMimeTag = void 0;
var _contants = require("../contants");
const addMimeTag = (tags, mime) => [...tags, `mime:${mime}`];
exports.addMimeTag = addMimeTag;
const createFileRecordPayload = (file, requestMeta) => {
  var _requestMeta$location;
  const {
    id,
    key,
    size,
    type,
    name,
    meta,
    createdOn,
    createdBy,
    tags,
    aliases
  } = file;
  const location = {
    folderId: (requestMeta === null || requestMeta === void 0 ? void 0 : (_requestMeta$location = requestMeta.location) === null || _requestMeta$location === void 0 ? void 0 : _requestMeta$location.folderId) || _contants.ROOT_FOLDER
  };
  return {
    id,
    type: _contants.FM_FILE_TYPE,
    title: name,
    location,
    tags: addMimeTag(tags, type),
    data: {
      id,
      key,
      size,
      type,
      name,
      createdOn,
      createdBy,
      aliases,
      meta
    }
  };
};
exports.createFileRecordPayload = createFileRecordPayload;
const updatePageRecordPayload = async file => {
  const {
    id,
    key,
    size,
    type,
    name,
    meta,
    createdOn,
    createdBy,
    tags,
    aliases
  } = file;
  return {
    title: name,
    tags: addMimeTag(tags, type),
    data: {
      id,
      key,
      size,
      type,
      name,
      createdOn,
      createdBy,
      aliases,
      meta
    }
  };
};
exports.updatePageRecordPayload = updatePageRecordPayload;